Loading...
Searching...
No Matches
default_configuration.hpp File Reference

Provides the default configuration for the seqan3::search() interface. More...

`#include <seqan3/core/configuration/configuration.hpp>`
`#include <seqan3/search/configuration/detail.hpp>`
`#include <seqan3/search/configuration/hit.hpp>`
`#include <seqan3/search/configuration/max_error.hpp>`
`#include <seqan3/search/configuration/output.hpp>`
Include dependency graph for default_configuration.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::search_cfg
| A special sub namespace for the search configurations.

## Variables

constexpr configuration | seqan3::search_cfg::default_configuration
| The default configuration: Compute all exact matches.

## Detailed Description

Provides the default configuration for the seqan3::search() interface.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>
  Lydia Buntrock <lydia.buntrock AT fu-berlin.de>

Hide me